Skip to main content
POST
/
generate
/
video
/
google
/
veo-3.1-fast
Veo 3.1 Fast
curl --request POST \
  --url https://api.krea.ai/generate/video/google/veo-3.1-fast \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Cobblestone streets of a medieval town, with lanterns lighting up historic facades."
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Pricing

Fixed API prices in USD.
ResolutionAudioDurationPrice
720pNo4s$0.336
1080pNo4s$0.42
720pYes4s$0.42
1080pYes4s$0.504
720pNo6s$0.504
1080pNo6s$0.63
720pYes6s$0.63
720pNo8s$0.672
1080pYes6s$0.756
1080pNo8s$0.84
720pYes8s$0.84
1080pYes8s$1.008
4KNo4s$1.05
4KYes4s$1.26
4KNo6s$1.575
4KYes6s$1.89
4KNo8s$2.10
4KYes8s$2.52
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
startImagestart_image2026-06-19
aspectRatioaspect_ratio2026-06-19
generateAudiogenerate_audio2026-06-19
endImageend_image2026-06-19
referenceImagesreference_images2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
start_image
string<uri> | null
aspect_ratio
enum<string>
default:16:9
Available options:
16:9,
9:16
duration
enum<number>
default:8
Available options:
4,
6,
8
generate_audio
boolean
default:false
resolution
enum<string>
default:720p
Available options:
720p,
1080p,
4K
end_image
string<uri> | null
reference_images
string<uri>[]

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required
error
object